> ## Documentation Index
> Fetch the complete documentation index at: https://docs.msgflash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Pause a campaign

> Pause a campaign when its status allows it.

## Endpoint

```txt theme={null}
POST /api/v1/campaigns/{id}/pause
```

## Parameters path

| Nom  | Type | Required | Description |
| ---- | ---- | -------- | ----------- |
| `id` | UUID | yes      | Campaign ID |

Pas de body.

## Success response `200`

```json theme={null}
{
  "data": {
    "id": "cmp_uuid",
    "userId": "user_uuid",
    "instanceId": "inst_uuid",
    "name": "Promo Black Friday",
    "templateId": null,
    "type": "text",
    "body": "Hello, découvrez notre promo.",
    "mediaUrl": null,
    "schedule": "2026-04-02T10:00:00.000Z",
    "repeat": "noe",
    "status": "paused",
    "recipients": { "type": "all" },
    "templateVariables": null,
    "stats": {
      "planned": 500,
      "queued": 120,
      "sent": 350,
      "delivered": 330,
      "read": 210,
      "failed": 30,
      "cancelled": 0
    },
    "createdAt": "2026-04-01T17:00:00.000Z",
    "updatedAt": "2026-04-02T10:05:00.000Z"
  }
}
```

## Common errors

| HTTP  | Code          | When                              |
| ----- | ------------- | --------------------------------- |
| `400` | `BAD_REQUEST` | Status incompatible avec la pause |
| `404` | `NOT_FOUND`   | Campaign not found                |
